Skip to Content
Products

Queue Product Price Change

Toegang

Lid van de organisatie met dit recht:

  • products:update

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

POST
/orgs/{organizationId}/products/{productId}/price-changes

Queues a new price (including VAT) and optionally a new VAT rate for a product, starting on effectiveFrom (yyyy-MM-dd, organization time zone, today or later). Replaces a pending change on the same date; a change for today is applied immediately.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

productId*string

Request Body

application/json
  1. body
effectiveFrom*string
Formatdate
amountPerUnit*number
Range0 <= value
taxPercentage?|
Defaultnull
taxRegime?|null

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//products/string/price-changes' \  -H 'Content-Type: application/json' \  -d '{  "effectiveFrom": "2019-08-24",  "amountPerUnit": 0}'
Example Response
null